<?php
$sql	= "SELECT * FROM objekte WHERE ID = '" . $_POST['ID'] . "' LIMIT 1;";
$result	= $db->query ( $sql );
$nt		= $result->fetch_assoc();
//Dateien löschen
chdir('temp');
$nodes = glob($_POST['ID'].'*');
foreach ($nodes as $node) {
	if (is_file($node)) {
		unlink($node);
	}
}
chdir('../');

if ('wohnen' == $nt['KAT']) {
	include "inhalte/portale/immos/wohn.php";
}
if ('gewerbe' == $nt['KAT'] ) {
	include "inhalte/portale/immos/gewerb.php";
}
if ('anlage' == $nt['KAT']) {
	include "inhalte/portale/immos/anlage.php";
}

// Zipdatei erstellen
chdir('temp');
$zip = new ZipArchive();
$zipname = $_POST['ID'].'_st_Z9B_imt.zip';

if ($zip->open($zipname, ZIPARCHIVE::CREATE)!==TRUE) {
    die("<h1>Zipdatei <" . $zipname . "> für ImmoScout kann nicht erstellt werden</h1>");
}

$nodes = glob($_POST['ID'].'*');
foreach ($nodes as $node) {
	if (is_file($node)) {
		$zip->addFile($node);
	}
}
$zip->close();
echo "<p>Zip Archiv erstellt!</p>";
/*
//FTP Upload
$ftp_id = ftp_connect('ftp.immobilienscout24.de');
$ftp_user = IMMOS_ID;
$ftp_pass = IMMOS_PASS;
if (!$ftp_id) {
	die("<h1>FTP-Verbindung zu ImmoScout fehlgeschlagen</h1>");
}
$ftp_login_result = ftp_login($ftp_id, $ftp_user, $ftp_pass);
if (!$ftp_login_result) {
	die("<h1>Login zum ImmoScout - Server fehlgeschlagen</h1>");
}
echo "<p>FTP-Verbindung wurde hergestellt!</p>";

$ftp_upload = ftp_put($ftp_id, $zipname, $zipname, FTP_BINARY);
if (!$ftp_upload) {
	die("<h1>Upload von <" . $zipname . "> zu ImmoScout fehlgeschlagen");
}
echo "<p>Die Datei wurde hochgeladen</p>";
ftp_close($ftp_id);
*/
//Dateien löschen
$nodes = glob($_POST['ID'].'*');
foreach ($nodes as $node) {
	if (is_file($node)) {
		unlink($node);
	}
}
echo "<p>Temporäre Dateien gelöscht!</p>";

//Datenbank aktualisieren
if ('importieren' == $_POST['ImmoScout']) {
	$sql3 = 'UPDATE objekte SET Scout = 1 WHERE ID = "'.$_POST['ID'].'"';
} elseif ('loeschen' == $_POST['ImmoScout']) {
	$sql3 = 'UPDATE objekte SET Scout = 0 WHERE ID = "'.$_POST['ID'].'"';
}
if ('aktualisieren' != $_POST['ImmoScout']) {
	$stmt = $db->prepare($sql3);
	if (!$stmt) {
		die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
	}
	if (!$stmt->execute()) {
		die ('Query konnte nicht ausgeführt werden: '.$stmt->error);
	}
}
echo "<p>Datenbank wurde aktualisiert!</p>";

?>
